Imports Microsoft.VisualBasic

Public Class nTareas

    Public Function GetTareas(ByVal Completo As Boolean) As Data.DataTable
        Try
            Dim sp As New StoredProcedure("DN_TraerTareas")

            sp.AgregarParametro("Completo", Completo)

            Return sp.ReturnDataSet.Tables(0)
        Catch ex As Exception
            Throw New Exception("Error cargando datos de las tareas")
        End Try
    End Function

    Public Sub InsertTareas(ByVal Nombre As String, _
                            ByVal Completo As Boolean)
        Try
            Dim sp As New StoredProcedure("DN_CrearTareas")

            sp.AgregarParametro("Nombre", Nombre)
            sp.AgregarParametro("Completo", Completo)

            sp.Execute()
        Catch ex As Exception
            Throw New Exception("Error agregando datos de las tareas")
        End Try
    End Sub

    Public Sub UpdateTareas(ByVal Original_Id As Integer, _
                            ByVal Nombre As String, _
                            ByVal Completo As Boolean)
        Try
            Dim sp As New StoredProcedure("DN_UpdateTareas")

            sp.AgregarParametro("Id", Original_Id)
            sp.AgregarParametro("Nombre", Nombre)
            sp.AgregarParametro("Completo", Completo)

            sp.Execute()
        Catch ex As Exception
            Throw New Exception("Error actualizando datos de las tareas")
        End Try
    End Sub

    Public Sub DeleteTareas(ByVal Original_Id As Integer)
        Try
            Dim sp As New StoredProcedure("DN_DeleteTareas")

            sp.AgregarParametro("Id", Original_Id)

            sp.Execute()
        Catch ex As Exception
            Throw New Exception("Error actualizando datos de las tareas")
        End Try
    End Sub

End Class
